You can skip this in seconds

Click here to continue

Super Solitaire Deluxe 1.073

What's Required in Version 1.073 of Super Solitaire Deluxe

DirectX 8.0 (or higher)

What's New in Version 1.073 of Super Solitaire Deluxe

fixed a few bugs

Look for Similar Items by Category

Feedback

Popular Downloads